## python-maxminddb 2.5.2

=== extension/libmaxminddb/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.9)

project(maxminddb
  LANGUAGES C
  VERSION 1.9.0
)
set(MAXMINDDB_SOVERSION 0.0.7)
set(CMAKE_C_STANDARD 99)
set(CMAKE_C_EXTENSIONS OFF)

if (WIN32)
  option(MSVC_STATIC_RUNTIME "When ON the library will be built by using MT/MTd run-time libraries" OFF)
endif()
option(BUILD_SHARED_LIBS "Build shared libraries (.dll/.so) instead of static ones (.lib/.a)" OFF)
option(BUILD_TESTING "Build test programs" ON)

include(GNUInstallDirs)

include(CheckTypeSize)
check_type_size("unsigned __int128" UINT128)
check_type_size("unsigned int __attribute__((mode(TI)))" UINT128_USING_MODE)
if(HAVE_UINT128)
  set(MMDB_UINT128_USING_MODE 0)
  set(MMDB_UINT128_IS_BYTE_ARRAY 0)
elseif(HAVE_UINT128_USING_MODE)
  set(MMDB_UINT128_USING_MODE 1)
  set(MMDB_UINT128_IS_BYTE_ARRAY 0)
else()
  set(MMDB_UINT128_USING_MODE 0)
  set(MMDB_UINT128_IS_BYTE_ARRAY 1)
endif()

include (TestBigEndian)
TEST_BIG_ENDIAN(IS_BIG_ENDIAN)

if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  set(CMAKE_POSITION_INDEPENDENT_CODE ON)
endif()

configure_file(${PROJECT_SOURCE_DIR}/include/maxminddb_config.h.cmake.in
          ${CMAKE_CURRENT_BINARY_DIR}/generated/maxminddb_config.h)

add_library(maxminddb
  src/maxminddb.c
  src/data-pool.c
)
add_library(maxminddb::maxminddb ALIAS maxminddb)

set_target_properties(maxminddb PROPERTIES VERSION ${MAXMINDDB_SOVERSION})

target_compile_definitions(maxminddb PRIVATE PACKAGE_VERSION="${PROJECT_VERSION}")

if(NOT IS_BIG_ENDIAN)
  target_compile_definitions(maxminddb PRIVATE MMDB_LITTLE_ENDIAN=1)
endif()

if(MSVC)
  target_compile_definitions(maxminddb PRIVATE _CRT_SECURE_NO_WARNINGS)
endif()

if(WIN32)
  target_link_libraries(maxminddb ws2_32)
  if(BUILD_SHARED_LIBS)
    set_target_properties(maxminddb PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS ON)
  endif()
  if(MSVC_STATIC_RUNTIME)
    # On MSVC, when MSVC_STATIC_RUNTIME is ON, MT (Release) and MTd (Debug)
    # run-time libraries will be used instead of MD/MDd. The default is OFF so
    # MD/MDd are used when nothing related is passed.
    #
    # Adapted from https://gitlab.kitware.com/cmake/community/-/wikis/FAQ#make-override-files
    set(CMAKE_USER_MAKE_RULES_OVERRIDE
        ${CMAKE_CURRENT_SOURCE_DIR}/c_flag_overrides.cmake)
    set(CMAKE_USER_MAKE_RULES_OVERRIDE_CXX
        ${CMAKE_CURRENT_SOURCE_DIR}/cxx_flag_overrides.cmake)
  endif()
endif()

target_include_directories(maxminddb PUBLIC
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}>
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
  $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/generated/>
  $<INSTALL_INTERFACE:include>
  $<INSTALL_INTERFACE:generated>
)

set(MAXMINDB_HEADERS
  include/maxminddb.h
  ${CMAKE_CURRENT_BINARY_DIR}/generated/maxminddb_config.h
)
set_target_properties(maxminddb PROPERTIES PUBLIC_HEADER "${MAXMINDB_HEADERS}")

install(TARGETS maxminddb
	EXPORT maxminddb)

# This is required to work with FetchContent
install(EXPORT maxminddb
        FILE maxminddb-config.cmake
        NAMESPACE maxminddb::
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/maxminddb)

# We always want to build mmdblookup
add_subdirectory(bin)

if (BUILD_TESTING)
  enable_testing()
  add_subdirectory(t)
endif()

# Generate libmaxminddb.pc file for pkg-config
# Set the required variables as same with autotools
set(prefix ${CMAKE_INSTALL_PREFIX})
set(exec_prefix \${prefix})
set(libdir \${exec_prefix}/lib)
set(includedir \${prefix}/include)
set(PACKAGE_VERSION ${maxminddb_VERSION})

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/libmaxminddb.pc.in
  ${CMAKE_CURRENT_BINARY_DIR}/src/libmaxminddb.pc
  @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/src/libmaxminddb.pc
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

=== extension/libmaxminddb/bin/CMakeLists.txt ===
# getopt is required by mmdblookup which is not available by default on Windows
# but available in mingw-64 toolchain by-default.

if(NOT MSVC)
  add_executable(mmdblookup
    mmdblookup.c
  )

# Otherwise 'undefined reference to WinMain' linker error happen due to wmain()
  if(MINGW)
    target_link_options(mmdblookup PRIVATE "-municode")
  endif()

  target_compile_definitions(mmdblookup PRIVATE PACKAGE_VERSION="${PROJECT_VERSION}")

  target_link_libraries(mmdblookup maxminddb pthread)

  install(
    TARGETS mmdblookup
    DESTINATION bin
  )
endif()

## python-maxminddb 1.2.0

=== debian/changelog ===
python-maxminddb (1.2.0-1.2build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 00:10:19 +0000

python-maxminddb (1.2.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Do not override the way we run tests but instead ensure that README.rst
    exists in the build directory. That way we test the correct code and the
    built extension.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 14 Jan 2016 17:19:28 +0100

python-maxminddb (1.2.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Run tests in a way that does not change the current directory
    so that the tests can rely on the existence of README.rst.
    Closes: #805689

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 14 Jan 2016 16:54:16 +0100

python-maxminddb (1.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #768984)

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 13 May 2015 12:54:06 +0300

=== debian/control ===
Source: python-maxminddb
Maintainer: Faidon Liambotis <paravoid@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
 dh-python,
 python-all-dev,
 python-setuptools,
 python3-all-dev,
 python3-setuptools,
 python-nose,
 python3-nose,
 python-docutils,
 python3-docutils,
 python-sphinx,
 python3-sphinx,
 python-ipaddr,
 libmaxminddb-dev
Standards-Version: 3.9.6.1
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3
Vcs-Git: git://anonscm.debian.org/collab-maint/python-maxminddb.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-maxminddb.git;a=summary

Package: python-maxminddb
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Suggests: python-maxmindb-doc
Description: Python module for reading the MaxMind DB format
 This is a Python module for reading MaxMind DB files. The module includes both
 a pure Python reader and an optional C extension.
 .
 MaxMind DB is a binary file format that stores data indexed by IP address
 subnets (IPv4 or IPv6).
 .
 This is the Python 2 version of the package.

Package: python3-maxminddb
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Suggests: python-maxmindb-doc
Description: Python 3 module for reading the MaxMind DB format
 This is a Python module for reading MaxMind DB files. The module includes both
 a pure Python reader and an optional C extension.
 .
 MaxMind DB is a binary file format that stores data indexed by IP address
 subnets (IPv4 or IPv6).
 .
 This is the Python 3 version of the package.

Package: python-maxminddb-doc
Section: doc
Architecture: all
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Python module for reading the MaxMind DB format (documentation)
 This is a Python module for reading MaxMind DB files. The module includes both
 a pure Python reader and an optional C extension.
 .
 MaxMind DB is a binary file format that stores data indexed by IP address
 subnets (IPv4 or IPv6).
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=maxminddb

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	PYTHONPATH=.:$$PYTHONPATH sphinx-build -b html -d .build/.doctrees -N docs .build/html
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	rm -f maxminddb/extension.so maxminddb/extension.*.so
	rm -rf .build

override_dh_auto_test:
	dh_auto_test -- --before-test "ln -sf {dir}/README.rst {build_dir}/" \
			--after-test "rm -f {build_dir}/README.rst"

## python-maxminddb 1.2.1

=== debian/changelog ===
python-maxminddb (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depend on python-ipaddress instead of python-ipaddr, per upstream's
    change.
  * Bump Standards-Version to 3.9.8.
  * Switch Vcs-Git/Vcs-Browser to https URLs.
  * Add doc-base file for python-maxminddb-doc.
  * Remove maxminddb.egg-info/ on clean as well.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 15 Jul 2016 13:28:12 +0300

=== debian/control ===
--- 
+++ 
@@ -14,13 +14,13 @@
  python3-docutils,
  python-sphinx,
  python3-sphinx,
- python-ipaddr,
+ python-ipaddress,
  libmaxminddb-dev
-Standards-Version: 3.9.6.1
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
-Vcs-Git: git://anonscm.debian.org/collab-maint/python-maxminddb.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-maxminddb.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-maxminddb.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-maxminddb.git
 
 Package: python-maxminddb
 Architecture: any

## python-maxminddb 1.2.3

=== debian/changelog ===
python-maxminddb (1.2.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Ondřej Nový <onovy@debian.org>  Tue, 21 Feb 2017 14:37:06 +0100

python-maxminddb (1.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 25 Jan 2017 11:05:24 +0200

python-maxminddb (1.2.2-1) unstable; urgency=medium

  [ Faidon Liambotis ]
  * New upstream release.

  [ Ondřej Nový ]
  * d/control: Added Homepage
  * Bumped debhelper compat version to 10
  * Added autopkgtest-pkg-python testsuite

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 17 Dec 2016 03:06:44 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Faidon Liambotis <paravoid@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
  dh-python,
  python-all-dev,
  python-setuptools,
@@ -17,10 +17,12 @@
  python-ipaddress,
  libmaxminddb-dev
 Standards-Version: 3.9.8
+Homepage: https://github.com/maxmind/MaxMind-DB-Reader-python
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-maxminddb.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-maxminddb.git
+Testsuite: autopkgtest-pkg-python
 
 Package: python-maxminddb
 Architecture: any

## python-maxminddb 1.3.0

=== debian/changelog ===
python-maxminddb (1.3.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * New upstream release
  * Enable additional hardening (hardening=+all)

  [ Faidon Liambotis ]
  * Bump Standards-Version to 4.0.0.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 04 Aug 2017 22:55:29 +0300

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-sphinx,
  python-ipaddress,
  libmaxminddb-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/maxmind/MaxMind-DB-Reader-python
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export PYBUILD_NAME=maxminddb
 
 %:
@@ -12,7 +13,7 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f maxminddb/extension.so maxminddb/extension.*.so
-	rm -rf .build
+	rm -rf .build/ maxminddb.egg-info/
 
 override_dh_auto_test:
 	dh_auto_test -- --before-test "ln -sf {dir}/README.rst {build_dir}/" \

=== debian/watch ===
version=3
http://pypi.debian.net/maxminddb/maxminddb-(.+)\.(?:tar\.(?:gz|bz2|xz))

## python-maxminddb 1.4.1

=== debian/changelog ===
python-maxminddb (1.4.1-2) unstable; urgency=medium

  * Drop Python 2 binary package. (Closes: #937909)
  * Bump debhelper compat level to 12.
  * Bump Standards-Version to 4.4.0, no changes needed.
  * Include the full text of the CC-BY-SA-3.0-Unported license.
  * Add Built-Using to the python-maxminddb-doc package, set to
    ${sphinxdoc:Built-Using}.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 04 Sep 2019 16:04:57 +0300

python-maxminddb (1.4.1-1) unstable; urgency=medium

  * New upstream release, fixes test failure (and thus FTBFS) with Python 3.7.
    (Closes: #902756)

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 30 Jun 2018 17:38:07 +0300

python-maxminddb (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-* URLs to point to salsa.debian.org.
  * Bump Standards-Version to 4.1.4, no changes needed.
  * Update Copyright years in debian/copyright.
  * Build-Depend on python{,3}-mock.
  * Drop X-Python-Version/X-Python3-Version; the 2.6/3.3 minimums are ancient
    and can be satisfied even by oldstable.
  * Switch pypi.debian.net's URL to HTTPS.

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 26 May 2018 20:10:54 +0300

=== debian/control ===
Source: python-maxminddb
Maintainer: Faidon Liambotis <paravoid@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all-dev,
 python3-setuptools,
 python3-nose,
 python3-mock,
 python3-docutils,
 python3-sphinx,
 libmaxminddb-dev
Standards-Version: 4.4.0
Homepage: https://github.com/maxmind/MaxMind-DB-Reader-python
Vcs-Browser: https://salsa.debian.org/debian/python-maxminddb
Vcs-Git: https://salsa.debian.org/debian/python-maxminddb.git
Testsuite: autopkgtest-pkg-python

Package: python3-maxminddb
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Suggests: python-maxmindb-doc
Description: Python 3 module for reading the MaxMind DB format
 This is a Python module for reading MaxMind DB files. The module includes both
 a pure Python reader and an optional C extension.
 .
 MaxMind DB is a binary file format that stores data indexed by IP address
 subnets (IPv4 or IPv6).

Package: python-maxminddb-doc
Section: doc
Architecture: all
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Python module for reading the MaxMind DB format (documentation)
 This is a Python module for reading MaxMind DB files. The module includes both
 a pure Python reader and an optional C extension.
 .
 MaxMind DB is a binary file format that stores data indexed by IP address
 subnets (IPv4 or IPv6).
 .
 This is the common documentation package.

## python-maxminddb 1.5.2

=== debian/changelog ===
python-maxminddb (1.5.2-0ubuntu1) focal; urgency=medium

  * New upstream release: 1.5.2 (LP: #1867919)
  * Rebuild sphinx docs to avoid shipping other copies of several
    javascript files, like jquery.js, in the doc package:
    - d/p/rebuild-sphinx-docs.patch: pull in upstream's sphinx-build conf.py
    - d/rules: use docs-source for building docs
    - d/rules: remove the index.rst file from docs-source during clean
  * d/control: add Rules-Requires-Root: no
  * d/rules: update dh_auto_clean override

  [ Faidon Liambotis]
  * d/copyright: Switch the copyright format URI to https

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 18 Mar 2020 17:57:58 -0300

python-maxminddb (1.4.1-2build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:23:27 +0100

python-maxminddb (1.4.1-2build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:11:04 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: python-maxminddb
-Maintainer: Faidon Liambotis <paravoid@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Faidon Liambotis <paravoid@debian.org>
 Section: python
 Priority: optional
 Build-Depends:
@@ -17,6 +18,7 @@
 Vcs-Browser: https://salsa.debian.org/debian/python-maxminddb
 Vcs-Git: https://salsa.debian.org/debian/python-maxminddb.git
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-maxminddb
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME=maxminddb

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	cp docs/html/_sources/index.rst.txt docs-source/index.rst
	PYTHONPATH=.:$$PYTHONPATH sphinx-build -b html -d .build/.doctrees -N docs-source .build/html
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean --buildsystem=pybuild
	rm -rf .build/
	rm -f docs-source/index.rst

override_dh_auto_test:
	dh_auto_test -- --before-test "ln -sf {dir}/README.rst {build_dir}/" \
			--after-test "rm -f {build_dir}/README.rst"

=== debian/watch ===
version=3
https://pypi.debian.net/maxminddb/maxminddb-(.+)\.(?:tar\.(?:gz|bz2|xz))

## python-maxminddb 1.5.4

=== debian/changelog ===
python-maxminddb (1.5.4-0ubuntu1) groovy; urgency=medium

  * New upstream release: 1.5.4
  * d/p/rebuild-sphinx-docs.patch: update from upstream's 1.5.4

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 02 Jun 2020 17:00:28 -0300

## python-maxminddb 2.0.3

=== debian/changelog ===
python-maxminddb (2.0.3-1build3) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:57:55 +0000

python-maxminddb (2.0.3-1build2) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 06:58:42 +0000

python-maxminddb (2.0.3-1build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:22:57 +0200

python-maxminddb (2.0.3-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Add myself as Uploader.
  * d/p/Stop-using-deprecated-Feature-from-setuptools.patch: Remove patch.
    The patch was incorporated by upstream.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Thu, 10 Dec 2020 23:29:45 -0500

python-maxminddb (1.4.1-3) unstable; urgency=medium

  [ Faidon Liambotis ]
  * Switch the copyright format URI to https
  * Ship examples/ in the doc package

  [ Ondřej Nový ]
  * Stop using deprecated Feature from setuptools (Closes: #959544)
  * Bump debhelper compat level to 13
  * d/watch: Upgrade version to 4
  * Mark Rules-Requires-Root: no
  * Bump standards version to 4.5.1
  * Add myself as uploader (Closes: #975001)

 -- Ondřej Nový <onovy@debian.org>  Tue, 24 Nov 2020 13:04:16 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME=maxminddb

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	PYTHONPATH=.:$$PYTHONPATH sphinx-build -b html -d .build/.doctrees -N docs .build/html
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	rm -f maxminddb/extension.so maxminddb/extension.*.so
	rm -rf .build/ maxminddb.egg-info/

override_dh_auto_test:
	dh_auto_test -- --before-test "ln -sf {dir}/README.rst {build_dir}/" \
			--after-test "rm -f {build_dir}/README.rst"

=== debian/watch ===
version=4
https://pypi.debian.net/maxminddb/maxminddb-(.+)\.(?:tar\.(?:gz|bz2|xz))

## python-maxminddb 2.2.0

=== debian/changelog ===
python-maxminddb (2.2.0-1) unstable; urgency=medium

  * Acknowledge NMU, with gratitude to Stefano Rivera.
  * Add autopkgtest, running the upstream test suite.
  * Tag the python-maxminddb-doc package with Multi-Arch: foreign.
  * Add support for the "nocheck" and "nodoc" build profiles.
  * Simplify debian/rules:
    - Use dh-sequence-python3 and dh-sequence-sphinxdoc instead of dh --with.
    - Replace override_dh_auto_build with execute_before_dh_auto_build.
    - Replace override_dh_auto_clean with debian/clean.
    - Replace override_dh_auto_test with debian/pybuild.testfiles.
  * Drop python3-mock dependency, replaced upstream since v2.0.0.
  * Update copyright years.
  * Add upstream metadata.
  * Bump Standards-Version to 4.6.2, no further changes needed.

 -- Faidon Liambotis <paravoid@debian.org>  Mon, 16 Jan 2023 12:42:00 +0200

python-maxminddb (2.2.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Switch from nose to pytest, following upstream. (Closes: #1018530)
  * Bump copyright years.
  * Patch: Add support for setuptools >= 60 (Closes: #1022449)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 12 Nov 2022 09:45:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,25 @@
 Source: python-maxminddb
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Faidon Liambotis <paravoid@debian.org>
+Maintainer: Faidon Liambotis <paravoid@debian.org>
+Uploaders: Ondřej Nový <onovy@debian.org>,
+	   Sergio Durigan Junior <sergiodj@debian.org>,
 Section: python
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc <!nodoc>,
  python3-all-dev,
  python3-setuptools,
- python3-nose,
- python3-mock,
- python3-docutils,
- python3-sphinx,
+ python3-pytest <!nocheck>,
+ python3-docutils <!nodoc>,
+ python3-sphinx <!nodoc>,
  libmaxminddb-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/maxmind/MaxMind-DB-Reader-python
 Vcs-Browser: https://salsa.debian.org/debian/python-maxminddb
 Vcs-Git: https://salsa.debian.org/debian/python-maxminddb.git
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
 
 Package: python3-maxminddb
@@ -34,6 +36,7 @@
 Package: python-maxminddb-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
 Built-Using: ${sphinxdoc:Built-Using}
 Description: Python module for reading the MaxMind DB format (documentation)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME=maxminddb

%:
	dh $@ --buildsystem=pybuild

ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
execute_before_dh_auto_build:
	PYTHONPATH=.:$$PYTHONPATH sphinx-build -b html -d .build/.doctrees -N docs .build/html
endif

## python-maxminddb 2.4.0

=== debian/changelog ===
python-maxminddb (2.4.0-1) unstable; urgency=medium

  * New upstream release.
    - Drop backported patch avoid-distutils.
  * Update copyright years.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 14 Jul 2023 02:52:00 +0300

## python-maxminddb 2.5.2

=== debian/changelog ===
python-maxminddb (2.5.2-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:16:59 +0200

python-maxminddb (2.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 16 Jan 2024 09:58:03 +0200

python-maxminddb (2.5.1-1) unstable; urgency=medium

  * New upstream release.
    - Pass MAXMINDDB_USE_SYSTEM_LIBMAXMINDDB to use the system copy of
      libmaxminddb, rather than the embedded copy introduced in 2.5.x.
  * Add Build-Depends on python3-setuptools-scm and python3-wheel, and switch
    to the pyproject pybuild plugin, as pyproject.toml is used now by
    upstream.
  * Remove sphinxdoc:Built-Using from the doc package, to address Lintian
    built-using-field-on-arch-all-package.

 -- Faidon Liambotis <paravoid@debian.org>  Mon, 13 Nov 2023 07:40:57 +0200

=== debian/control ===
Source: python-maxminddb
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Faidon Liambotis <paravoid@debian.org>
Uploaders:
 Ondřej Nový <onovy@debian.org>,
 Sergio Durigan Junior <sergiodj@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all-dev,
 python3-setuptools,
 python3-setuptools-scm,
 python3-wheel,
 python3-pytest <!nocheck>,
 python3-docutils <!nodoc>,
 python3-sphinx <!nodoc>,
 libmaxminddb-dev,
Standards-Version: 4.6.2
Homepage: https://github.com/maxmind/MaxMind-DB-Reader-python
Vcs-Browser: https://salsa.debian.org/debian/python-maxminddb
Vcs-Git: https://salsa.debian.org/debian/python-maxminddb.git
Testsuite: autopkgtest-pkg-pybuild
Rules-Requires-Root: no

Package: python3-maxminddb
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 python-maxmindb-doc,
Description: Python 3 module for reading the MaxMind DB format
 This is a Python module for reading MaxMind DB files. The module includes both
 a pure Python reader and an optional C extension.
 .
 MaxMind DB is a binary file format that stores data indexed by IP address
 subnets (IPv4 or IPv6).

Package: python-maxminddb-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Python module for reading the MaxMind DB format (documentation)
 This is a Python module for reading MaxMind DB files. The module includes both
 a pure Python reader and an optional C extension.
 .
 MaxMind DB is a binary file format that stores data indexed by IP address
 subnets (IPv4 or IPv6).
 .
 This is the common documentation package.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,14 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/default.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export PYBUILD_NAME=maxminddb
+
+export SETUPTOOLS_SCM_PRETEND_VERSION = $(DEB_VERSION_UPSTREAM)
+
+# use the system copy rather than the embedded libmaxminddb copy
+export MAXMINDDB_USE_SYSTEM_LIBMAXMINDDB=1
 
 %:
 	dh $@ --buildsystem=pybuild

## python-maxminddb 2.6.0

=== debian/changelog ===
python-maxminddb (2.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove Ondřej Nový and Sergio Durigan Junior from Uploaders.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 20 Mar 2024 15:22:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,5 @@
 Source: python-maxminddb
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Faidon Liambotis <paravoid@debian.org>
-Uploaders:
- Ondřej Nový <onovy@debian.org>,
- Sergio Durigan Junior <sergiodj@debian.org>,
+Maintainer: Faidon Liambotis <paravoid@debian.org>
 Section: python
 Priority: optional
 Build-Depends:

## python-maxminddb 2.6.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/maxminddb.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/maxminddb.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/maxminddb"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/maxminddb"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== extension/libmaxminddb/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
-cmake_minimum_required (VERSION 3.9)
+cmake_minimum_required (VERSION 3.9...3.30)
 
 project(maxminddb
   LANGUAGES C
-  VERSION 1.9.0
+  VERSION 1.12.0
 )
 set(MAXMINDDB_SOVERSION 0.0.7)
 set(CMAKE_C_STANDARD 99)
@@ -13,6 +13,9 @@
 endif()
 option(BUILD_SHARED_LIBS "Build shared libraries (.dll/.so) instead of static ones (.lib/.a)" OFF)
 option(BUILD_TESTING "Build test programs" ON)
+option(BUILD_FUZZING "Build with fuzzer" OFF)
+option(MAXMINDDB_BUILD_BINARIES "Build binaries" ON)
+option(MAXMINDDB_INSTALL "Generate the install target" ON)
 
 include(GNUInstallDirs)
 
@@ -81,7 +84,6 @@
   $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
   $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/generated/>
   $<INSTALL_INTERFACE:include>
-  $<INSTALL_INTERFACE:generated>
 )
 
 set(MAXMINDB_HEADERS
@@ -90,17 +92,47 @@
 )
 set_target_properties(maxminddb PROPERTIES PUBLIC_HEADER "${MAXMINDB_HEADERS}")
 
-install(TARGETS maxminddb
-	EXPORT maxminddb)
+if (MAXMINDDB_INSTALL)
+  install(TARGETS maxminddb
+    EXPORT maxminddb)
 
-# This is required to work with FetchContent
-install(EXPORT maxminddb
-        FILE maxminddb-config.cmake
-        NAMESPACE maxminddb::
-        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/maxminddb)
+  # This is required to work with FetchContent
+  install(EXPORT maxminddb
+          FILE maxminddb-config.cmake
+          NAMESPACE maxminddb::
+          DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/maxminddb)
+endif()
 
-# We always want to build mmdblookup
-add_subdirectory(bin)
+if (MAXMINDDB_BUILD_BINARIES)
+  add_subdirectory(bin)
+endif()
+
+# Check if man pages exist, if not, generate them
+if(NOT EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/man")
+    find_program(PERL perl)
+    if(PERL)
+        message(STATUS "Generating man pages")
+        execute_process(
+            COMMAND ${PERL} ${CMAKE_CURRENT_SOURCE_DIR}/dev-bin/make-man-pages.pl
+            WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
+        )
+    else()
+        message(WARNING "Perl not found. Unable to generate man pages.")
+    endif()
+endif()
+
+# Install man pages if they exist
+if(MAXMINDDB_INSTALL AND EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/man")
+    install(
+        DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/man/man1
+        DESTINATION ${CMAKE_INSTALL_MANDIR}
+    )
+
+    install(
+        DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/man/man3
+        DESTINATION ${CMAKE_INSTALL_MANDIR}
+    )
+endif()
 
 if (BUILD_TESTING)
   enable_testing()
@@ -110,14 +142,27 @@
 # Generate libmaxminddb.pc file for pkg-config
 # Set the required variables as same with autotools
 set(prefix ${CMAKE_INSTALL_PREFIX})
-set(exec_prefix \${prefix})
-set(libdir \${exec_prefix}/lib)
-set(includedir \${prefix}/include)
+set(exec_prefix ${CMAKE_INSTALL_PREFIX})
+set(libdir ${CMAKE_INSTALL_LIBDIR})
+set(includedir ${CMAKE_INSTALL_INCLUDEDIR})
 set(PACKAGE_VERSION ${maxminddb_VERSION})
 
-configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/libmaxminddb.pc.in
-  ${CMAKE_CURRENT_BINARY_DIR}/src/libmaxminddb.pc
-  @ONLY)
+if (MAXMINDDB_INSTALL)
+  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/libmaxminddb.pc.in
+    ${CMAKE_CURRENT_BINARY_DIR}/src/libmaxminddb.pc
+    @ONLY)
 
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/src/libmaxminddb.pc
-  DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
+  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/src/libmaxminddb.pc
+    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
+endif()
+
+# uninstall target
+if(NOT TARGET uninstall)
+  configure_file(
+    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
+    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
+    IMMEDIATE @ONLY)
+
+  add_custom_target(uninstall
+    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
+endif()

=== extension/libmaxminddb/t/libtap/Makefile ===
CC ?= gcc
CFLAGS += -Wall -I. -fPIC
PREFIX ?= $(DESTDIR)/usr/local
TESTS = $(patsubst %.c, %, $(wildcard t/*.c))

ifdef ANSI
	# -D_BSD_SOURCE for MAP_ANONYMOUS
	CFLAGS += -ansi -D_BSD_SOURCE
	LDLIBS += -lbsd-compat
endif

%:
	$(CC) $(LDFLAGS) $(TARGET_ARCH) $(filter %.o %.a %.so, $^) $(LDLIBS) -o $@

%.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c $(filter %.c, $^) $(LDLIBS) -o $@

%.a:
	$(AR) rcs $@ $(filter %.o, $^)

%.so:
	$(CC) -shared $(LDFLAGS) $(TARGET_ARCH) $(filter %.o, $^) $(LDLIBS) -o $@

all: libtap.a libtap.so tap.pc tests

tap.pc:
	@echo generating tap.pc
	@echo 'prefix='$(PREFIX) > tap.pc
	@echo 'exec_prefix=$${prefix}' >> tap.pc
	@echo 'libdir=$${prefix}/lib' >> tap.pc
	@echo 'includedir=$${prefix}/include' >> tap.pc
	@echo '' >> tap.pc
	@echo 'Name: libtap' >> tap.pc
	@echo 'Description: Write tests in C' >> tap.pc
	@echo 'Version: 0.1.0' >> tap.pc
	@echo 'URL: https://github.com/zorgnax/libtap' >> tap.pc
	@echo 'Libs: -L$${libdir} -ltap' >> tap.pc
	@echo 'Cflags: -I$${includedir}' >> tap.pc

libtap.a: tap.o

libtap.so: tap.o

tap.o: tap.c tap.h

tests: $(TESTS)

$(TESTS): %: %.o libtap.a

$(patsubst %, %.o, $(TESTS)): %.o: %.c tap.h
	$(CC) $(CFLAGS) -O0 $(CPPFLAGS) $(TARGET_ARCH) -c $(filter %.c, $^) $(LDLIBS) -o $@

clean:
	rm -rf *.o t/*.o tap.pc libtap.a libtap.so $(TESTS)

install: libtap.a tap.h libtap.so tap.pc
	mkdir -p $(PREFIX)/lib $(PREFIX)/include $(PREFIX)/lib/pkgconfig
	install -c libtap.a $(PREFIX)/lib
	install -c libtap.so $(PREFIX)/lib
	install -c tap.pc $(PREFIX)/lib/pkgconfig
	install -c tap.h $(PREFIX)/include

uninstall:
	rm $(PREFIX)/lib/libtap.a $(PREFIX)/lib/libtap.so $(PREFIX)/include/tap.h

dist:
	rm libtap.zip
	zip -r libtap *

check test: all
	./t/test

.PHONY: all clean install uninstall dist check test tests

=== debian/changelog ===
python-maxminddb (2.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Faidon Liambotis <paravoid@debian.org>  Sun, 16 Feb 2025 13:40:38 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-docutils <!nodoc>,
  python3-sphinx <!nodoc>,
  libmaxminddb-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/maxmind/MaxMind-DB-Reader-python
 Vcs-Browser: https://salsa.debian.org/debian/python-maxminddb
 Vcs-Git: https://salsa.debian.org/debian/python-maxminddb.git

## python-maxminddb 2.8.2

=== extension/libmaxminddb/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(maxminddb
   LANGUAGES C
-  VERSION 1.12.0
+  VERSION 1.12.2
 )
 set(MAXMINDDB_SOVERSION 0.0.7)
 set(CMAKE_C_STANDARD 99)

=== extension/libmaxminddb/bin/CMakeLists.txt ===
--- 
+++ 
@@ -15,8 +15,10 @@
 
   target_link_libraries(mmdblookup maxminddb pthread)
 
-  install(
-    TARGETS mmdblookup
-    DESTINATION bin
-  )
+  if (MAXMINDDB_INSTALL)
+    install(
+      TARGETS mmdblookup
+      DESTINATION ${CMAKE_INSTALL_BINDIR}
+    )
+  endif()
 endif()

=== extension/libmaxminddb/t/CMakeLists.txt ===
add_library(tap
  libtap/tap.c
)

# test programs
set(TEST_TARGET_NAMES
  bad_pointers_t
  basic_lookup_t
  data_entry_list_t
  data-pool-t
  data_types_t
  dump_t
  get_value_pointer_bug_t
  get_value_t
  ipv4_start_cache_t
  ipv6_lookup_in_ipv4_t
  metadata_pointers_t
  metadata_t
  no_map_get_value_t
  read_node_t
  version_t
)

if(UNIX)  # or if (NOT WIN32)
  list(APPEND TEST_TARGET_NAMES
    bad_databases_t
    threads_t
  )
  find_package(Threads)
endif()

if(WIN32)
  # 4244, 4267 - libtap causes a significant number of conversion warning in
  #              our tests on Windows.
  # 4996 - vsprintf used by libtap is unsafe.
  add_definitions("/wd4244 /wd4267 /wd4996")
endif(WIN32)

foreach(TEST_TARGET_NAME ${TEST_TARGET_NAMES})
  add_executable(${TEST_TARGET_NAME} ${TEST_TARGET_NAME}.c maxminddb_test_helper.c)
  target_include_directories(${TEST_TARGET_NAME} PRIVATE ../src)
  target_link_libraries(${TEST_TARGET_NAME} maxminddb tap)
  target_compile_definitions(${TEST_TARGET_NAME} PRIVATE PACKAGE_VERSION="${PROJECT_VERSION}")

  if(UNIX)
    target_link_libraries(${TEST_TARGET_NAME} m)
  endif()

  if (UNIX)
    target_link_libraries(${TEST_TARGET_NAME} ${CMAKE_THREAD_LIBS_INIT})
  endif()

  add_test( NAME ${TEST_TARGET_NAME} COMMAND ${TEST_TARGET_NAME} WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/t)
endforeach()

if(BUILD_FUZZING)
  add_executable(fuzz_mmdb fuzz_mmdb.c)
  target_include_directories(fuzz_mmdb PRIVATE ../src)
  target_link_libraries(fuzz_mmdb maxminddb $ENV{LIB_FUZZING_ENGINE})
endif()

=== debian/changelog ===
python-maxminddb (2.8.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 26 Aug 2025 14:25:29 +0300

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-docutils <!nodoc>,
  python3-sphinx <!nodoc>,
  libmaxminddb-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/maxmind/MaxMind-DB-Reader-python
 Vcs-Browser: https://salsa.debian.org/debian/python-maxminddb
 Vcs-Git: https://salsa.debian.org/debian/python-maxminddb.git

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,6 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export PYBUILD_NAME=maxminddb
-
-export SETUPTOOLS_SCM_PRETEND_VERSION = $(DEB_VERSION_UPSTREAM)
 
 # use the system copy rather than the embedded libmaxminddb copy
 export MAXMINDDB_USE_SYSTEM_LIBMAXMINDDB=1

## python-maxminddb 3.0.0

=== debian/changelog ===
python-maxminddb (3.0.0-1) unstable; urgency=medium

  * New upstream release.
    - Build documentation after the main package build, as importing this
      version now requires package metadata to exist.
  * Update debian/watch to version 5.

 -- Faidon Liambotis <paravoid@debian.org>  Mon, 29 Dec 2025 20:07:25 +0200

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,6 @@
 	dh $@ --buildsystem=pybuild
 
 ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
-execute_before_dh_auto_build:
+execute_after_dh_auto_build:
 	PYTHONPATH=.:$$PYTHONPATH sphinx-build -b html -d .build/.doctrees -N docs .build/html
 endif

=== debian/watch ===
Version: 5

Template: Pypi
Dist: maxminddb
